package idl;
/**
<p>
<ul>
<li> <b>Java Class</b> idl.HelloCorbaHolder
<li> <b>Source File</b> idl/HelloCorbaHolder.java
<li> <b>IDL Source File</b> HelloCorba.idl
<li> <b>IDL Absolute Name</b> ::idl::HelloCorba
<li> <b>Repository Identifier</b> IDL:idl/HelloCorba:1.0
</ul>
<b>IDL definition:</b>
<pre>
    interface HelloCorba {
      void setOneString(
        in string value1
      );
      void setTwoStrings(
        in string value1,
        in string value2
      );
      void setThreeStrings(
        in string value1,
        in string value2,
        in string value3
      );
      string getOneString();
      string getTwoStrings(
        out string value2
      );
      string getThreeStrings(
        out string value2,
        out string value3
      );
      void setLong(
        in long value
      );
      long getLong();
      void outLong(
        out long value
      );
      void setShort(
        in short value
      );
      short getShort();
      void outShort(
        out short value
      );
      void setULong(
        in unsigned long value
      );
      unsigned long getULong();
      void outULong(
        out unsigned long value
      );
      void setUShort(
        in unsigned short value
      );
      unsigned short getUShort();
      void outUShort(
        out unsigned short value
      );
      void setChar(
        in char value
      );
      char getChar();
      void outChar(
        out char value
      );
      void setBoolean(
        in boolean value
      );
      boolean getBoolean();
      void outBoolean(
        out boolean value
      );
      void setOctet(
        in octet value
      );
      octet getOctet();
      void outOctet(
        out octet value
      );
    };
</pre>
</p>
*/
final public class HelloCorbaHolder implements org.omg.CORBA.portable.Streamable {
  public idl.HelloCorba value;
  public HelloCorbaHolder() {
  }
  public HelloCorbaHolder(idl.HelloCorba value) {
    this.value = value;
  }
  public void _read(org.omg.CORBA.portable.InputStream input) {
    value = HelloCorbaHelper.read(input);
  }
  public void _write(org.omg.CORBA.portable.OutputStream output) {
    HelloCorbaHelper.write(output, value);
  }
  public org.omg.CORBA.TypeCode _type() {
    return HelloCorbaHelper.type();
  }
}
